# Update the Braintree subscription Updates a Braintree subscription by ID. This operation currently only supports updating the payment method for a subscription, sending the payment method token or nonce. Endpoint: PATCH /blaize/payment/braintree/subscriptions/{subscriptionId} Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Path parameters: - `subscriptionId` (string, required) Subscription ID ## Header parameters: - `cookie` (string) The session cookie. Example: "`blaize_session=...` (string)" ## Request fields (application/json): - `payment_method_token` (string) Payment method token referencing a payment method in Braintree. Example: "alpha123token" - `payment_method_nonce` (string) Payment method nonce referencing a payment method in Braintree. Example: "alpha123token" ## Response 204 fields ## Response 401 fields ## Response 404 fields